Name:           jboss-jaxrs-2.1-api
Version:        1.0.3
Release:        %mkrel 1
Group:		Development/Java
Summary:        JAX-RS 2.1 Java API for RESTful Web Services
License:        (CDDL or GPLv2 with exceptions) and ASL 2.0

%global upstream_project    jboss-jaxrs-api_spec
%global upstream_name       jboss-jaxrs-api_2.1_spec
%global upstream_version    %{version}.Final
%global upstream_archive    %{upstream_name}-%{upstream_version}

URL:            https://github.com/jboss/jboss-jaxrs-api_spec
Source0:        %{url}/archive/%{upstream_archive}.tar.gz

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(javax.xml.bind:jaxb-api)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.jboss:jboss-parent:pom:)

%description
JSR 370 / JAX-RS 2.1 Java API for RESTful Web Services.


%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{upstream_project}-%{upstream_archive}

# remove unnecessary maven plugins
%pom_remove_plugin :maven-source-plugin

# add dependency for javax.xml.bind (removed from Java 11)
%pom_add_dep javax.xml.bind:jaxb-api:2.3.3


%build
%mvn_build


%install
%mvn_install


%files -f .mfiles
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE




%changelog
* Tue Jan 05 2021 neoclust <neoclust> 1.0.3-1.mga8
+ Revision: 1669093
- imported package jboss-jaxrs-2.1-api


* Tue Sep 01 2020 Fabio Valentini <decathorpe@gmail.com> - 1.0.3-1
- Initial packaging for fedora.

